import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetTagTypeForViewDto, TagTypeDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewTagTypeModal',
    templateUrl: './view-tagType-modal.component.html'
})
export class ViewTagTypeModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetTagTypeForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetTagTypeForViewDto();
        this.item.tagType = new TagTypeDto();
    }

    show(item: GetTagTypeForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
